org.apache.lucene.search.suggest

## Class UnsortedTermFreqIteratorWrapper

- java.lang.Object
- - org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
  - - org.apache.lucene.search.suggest.UnsortedTermFreqIteratorWrapper

- All Implemented Interfaces:
    TermFreqIterator, BytesRefIterator

      public class UnsortedTermFreqIteratorWrapper
      extends BufferingTermFreqIteratorWrapper

  This wrapper buffers the incoming elements and makes sure they are in random order.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.lucene.search.spell.TermFreqIterator

      `TermFreqIterator.TermFreqIteratorWrapper`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper

      `curPos, entries, freqs`

    - ### Fields inherited from interface org.apache.lucene.util.BytesRefIterator

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsortedTermFreqIteratorWrapper(TermFreqIterator source)` Creates a new iterator, wrapping the specified iterator and returning elements in a random order.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BytesRef` | `next()`
    `long` | `weight()` A term's weight, higher numbers mean better suggestions.

    - ### Methods inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper

      `getComparator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsortedTermFreqIteratorWrapper

          public UnsortedTermFreqIteratorWrapper(TermFreqIterator source)
                                          throws IOException

      Creates a new iterator, wrapping the specified iterator and returning elements in a random order.
      Throws:
        `IOException`

  - ### Method Detail

    - #### weight

          public long weight()

      Description copied from interface: `TermFreqIterator`
      A term's weight, higher numbers mean better suggestions.
      Specified by:
        `weight` in interface `TermFreqIterator`
      Overrides:
        `weight` in class `BufferingTermFreqIteratorWrapper`

    - #### next

          public BytesRef next()
                        throws IOException

      Specified by:
        `next` in interface `BytesRefIterator`
      Overrides:
        `next` in class `BufferingTermFreqIteratorWrapper`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.